\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{opt2021}[2021/07/24 v1.0 OPT 2021 Style File]
% v2022: A. S. Berahas
% v2021: S. Stich
% v2020: S. Stich
% v2019: S. Sra

\@ifundefined{ifanonsubmission}{
  \newif\ifanonsubmission
  \anonsubmissionfalse
}{}

\@ifundefined{iffinalsubmission}{
  \newif\iffinalsubmission
  \finalsubmissionfalse
}{}

\DeclareOption{anon}{\anonsubmissiontrue}
\DeclareOption{final}{\finalsubmissiontrue}
\ProcessOptions\relax

\LoadClass[wcp]{jmlr}

% modified so that header doesn't appear
\jmlrvolume{}
\jmlryear{}
\jmlrproceedings{wcp}{HOOML2022: Order up! The Benefits of Higher-Order Optimization in Machine Learning}


\ifanonsubmission
 \newcommand{\optauthor}[1]{}
 \author{Author names withheld\\[2em] Under Review for HOOML2022}
 \jmlrworkshop{}
 \renewcommand{\acks}[1]{}
\else
 \newcommand{\optauthor}[1]{\author{#1}}
 \iffinalsubmission
  \editors{}
  \jmlrworkshop{}
 \fi
\fi

% patch for includegraphics not working with newer latex versions
\makeatletter
 \let\Ginclude@graphics\@org@Ginclude@graphics 
\makeatother





